<?php
namespace Claromentis\Core\TrashCan\TrashcanObject;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("_1d9d2c71a172429c1ebe7f586b87a54" . "9" => base64_decode("cHVibGlzaC5wYWdlX3ZlcnN" . "pb24="), "_0ed3a0eef0e" . "b416ab3b586e" . "d096d2184" => base64_decode("cHVibGlzaC5wdW" . "JsaXNoX2ZvbGRl" . "cg=="), "_0c5123aa744f69bb" . "c0e8b3ea2f6e847d" => base64_decode("bG1zZw" . "=="), "_e1d494d0cbef8" . "0819ebcc2c1a58" . "813a7" => base64_decode("Y29tbW9" . "uLnR5cG" . "UucHViX" . "3BhZ2U="), "_5fde92609a" . "43c91604622" . "78aec060406" => base64_decode("Y29tbW9uLnV" . "ua25vd24="));






abstract class TrashObjectPublish extends TrashObject
{
    
    
    
    
    
    
    public function DeleteCompletely()
    {
        $_6c31fe38b922bf6d32ca6b96f4cd3945 = \PublishBrowser::Instance();
        if ($_6c31fe38b922bf6d32ca6b96f4cd3945->DeleteObjectById($this->obj_id, $this->aggregation, true, false)) {
            return parent::DeleteCompletely();
        } else {
            return $this->SetErrMsg($_6c31fe38b922bf6d32ca6b96f4cd3945->GetErrMsg());
        }
    }
    
    
    
    
    
    
    
    
    public function Restore()
    {
        $_6c31fe38b922bf6d32ca6b96f4cd3945 = \PublishBrowser::Instance();
        if (!$_6c31fe38b922bf6d32ca6b96f4cd3945->UndeleteObjectByID($this->obj_id, $this->aggregation)) {
            throw new \Exception($_6c31fe38b922bf6d32ca6b96f4cd3945->GetErrMsg());
        }
        return parent::Restore();
    }
    public function GetObjectTypeName()
    {
        switch ($this->aggregation) {
            case AGGREGATION_PUB_FOLDER:
                return $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_0c5123aa744f69bbc0e8" . "b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_0ed3a0eef0eb4" . "16ab3b586ed096" . "d2184"]);
            case AGGREGATION_PUB_PAGE:
                return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_0c5123aa744f69bbc0e8b3ea2f6e84" . "7d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_e1d494d0cbef80819ebcc2c1a58813a" . "7"]);
            case AGGREGATION_PUB_PAGE_VERSION:
                return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_0c5123aa744f69bbc0e8" . "b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_1d9d2c71a172429c1ebe7f586b" . "87a549"]);
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_0c5123aa744f69" . "bbc0e8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_5fde92609a43c9160462278" . "aec060406"]);
    }
}